#!/usr/bin/env bash

set -euo pipefail

EMERALD_SCRIPT_DIR=$(dirname "$(realpath "$0")")
GCC_VER=$(grep -P -m1 '^GCC_VER=' emerald-gcc.sh | cut -d= -f2)
source "$EMERALD_SCRIPT_DIR"/common.sh

cd "$PREFIX"

# Fix rust builds
echo "INPUT(-lgcc_eh)" > lib/gcc/aarch64-linux-android/"$GCC_VER"/libgcc.a

# Install helper scripts
install -Dm755 -t bin "$EMERALD_SCRIPT_DIR"/bin/*
